# Configuration

```json
{
    "id": "io.infomaker.wingman",
    "name": "im-wingman",
    "style": "https://plugins.writer.infomaker.io/v1/infomaker/im-wingman/1.2.0/style.css",
    "url": "https://plugins.writer.infomaker.io/v1/infomaker/im-wingman/1.2.0/index.js",
    "mandatory": false,
    "enabled": true,
    "data": {
        "host": "https://ai-eu-west-1.saas-prod.infomaker.io",
        "contextLimit": 2,
        "encryptedKeyPhrase": "somePhrase",
        "widgets": [
            "generic",
            "headline",
            "summary"
        ],
        "widgetConfig": {
            "headline": {
                "digital": {
                    "preText": "Generate a headline",
                    "creativity": 5,
                    "headlineCount": 10,
                    "digitalHeadlineWordCount": 20,
                    "checkBoxDefault": false,
                    "providerAccessToken": "someToken",
                    "serviceProvider": "openai",
                    "modelId": "gpt-3.5-turbo"
                },
                "print": {
                    "preText": "Suggest headlines for the article provided in XML tag. If the article has a strong local connection, reflect this in the headline.",
                    "creativity": 5,
                    "headlineCount": 10,
                    "printHeadlineWordCount": 8,
                    "checkBoxDefault": false,
                    "providerAccessToken": "",
                    "serviceProvider": "Bedrock",
                    "modelId": "anthropic.claude-3-sonnet-20240229-v1:0"
                }
            },
            "summary": {
                "digital": {
                    "preText": "Generate a summary",
                    "creativity": 5,
                    "summaryCount": 5,
                    "digitalSummaryWordCount": 40,
                    "checkBoxDefault": false,
                    "providerAccessToken": "someToken",
                    "serviceProvider": "openai",
                    "modelId": "gpt-3.5-turbo"
                },
                "print": {
                    "preText": "Suggest summaries for the article provided in XML tag. Act as a news editor and your task is to suggest a summary for the article.",
                    "creativity": 5,
                    "summaryCount": 5,
                    "printSummaryWordCount": 100,
                    "checkBoxDefault": false,
                    "providerAccessToken": "",
                    "serviceProvider": "Bedrock",
                    "modelId": "anthropic.claude-v2:1"
                }
            },
            "generic": {
                "digital": {
                    "preText": "Generate a headline",
                    "creativity": 5,
                    "checkBoxDefault": false,
                    "providerAccessToken": "someToken",
                    "serviceProvider": "openai",
                    "modelId": "gpt-3.5-turbo"
                },
                "print": {
                    "preText": "You are a News Editor of a News Firm and your task is to suggest headlines for the article provided in  XML tag.\n\nPlease use professional tone while generating headlines.",
                    "creativity": 5,
                    "checkBoxDefault": false,
                    "providerAccessToken": "",
                    "serviceProvider": "Bedrock",
                    "modelId": "anthropic.claude-3-sonnet-20240229-v1:0"
                }
            }
        }
    }
}
```

Direct link to heading: <https://docs.navigaglobal.com/wingman/1.2.0-3/configuration#configuration-details>

***

**Configuration Details**

```json
"data": {
    "host": "https://ai-eu-west-1.saas-prod.infomaker.io",
    "contextLimit": 2,
    "encryptedKeyPhrase": "somePhrase",
    "widgets": [
        "generic",
        "headline",
        "summary"
    ],
```

* contextLimit: Max. limit of context tags that can be sent in the prompt.
* encryptedKeyPhrase: Encryption Key Phrase for sending encrypted API Key.
* widgets: Widgets that should be enabled in Wingman plugin.

***

**Headline Configuration Details**

```json
"widgetConfig": {
    "headline": {
        "digital": {
            "preText": "Generate a headline",
            "creativity": 5,
            "headlineCount": 10,
            "digitalHeadlineWordCount": 20,
            "checkBoxDefault": false,
            "providerAccessToken": "someToken",
            "serviceProvider": "openai",
            "modelId": "gpt-3.5-turbo"
        },
        "print": {
            "preText": "Suggest headlines for the article provided in XML tag. If the article has a strong local connection, reflect this in the headline.",
            "creativity": 5,
            "headlineCount": 10,
            "printHeadlineWordCount": 8,
            "checkBoxDefault": false,
            "providerAccessToken": "",
            "serviceProvider": "Bedrock",
            "modelId": "anthropic.claude-3-sonnet-20240229-v1:0"
        }
    },
```

* PreText: The custom prompt the user will send to generate the headline.
  * Note: For AWS Bedrock, end your custom prompt with the words: ‘in the XML tag’. Do not add these words for ChatGPT models.
* creativity: Temperature setting (1–5). 1 = least random, 5 = most random.
* headlineCount: Number of headline results to generate.
* digitalHeadlineWordCount: Approximate word count for digital headlines.
* printHeadlineWordCount: Approximate word count for print headlines.
* checkBoxDefault: Whether the checkbox is checked by default (false by default).
* providerAccessToken: (ChatGPT only) Allows an organization to use their own API key instead of Naviga's (if available).
* serviceProvider: AI service provider for the prompt ("openai" for ChatGPT, "Bedrock" for AWS).
* modelId: Model identifier for the chosen service provider.

***

**Summary Configuration Details**

```json
"summary": {
    "digital": {
        "preText": "Generate a summary",
        "creativity": 5,
        "summaryCount": 5,
        "digitalSummaryWordCount": 40,
        "checkBoxDefault": false,
        "providerAccessToken": "someToken",
        "serviceProvider": "openai",
        "modelId": "gpt-3.5-turbo"
    },
    "print": {
        "preText": "Suggest summaries for the article provided in XML tag. Act as a news editor and your task is to suggest a summary for the article.",
        "creativity": 5,
        "summaryCount": 5,
        "printSummaryWordCount": 100,
        "checkBoxDefault": false,
        "providerAccessToken": "",
        "serviceProvider": "Bedrock",
        "modelId": "anthropic.claude-v2:1"
    }
},
```

* PreText: The custom prompt the user will send to generate the summary.
  * Note: For AWS Bedrock it is recommended to end your custom prompt with the words: ‘in the XML tag’. Do not add these words for ChatGPT models.
* creativity: Temperature setting (1–5).
* summaryCount: Number of summary results to generate.
* digitalSummaryWordCount: Approximate word count for digital summaries.
* printSummaryWordCount: Approximate word count for print summaries.
* displayCount: Number of results to show before a "show more" button (when applicable).
* checkBoxDefault: Whether the checkbox is checked by default (false by default).
* providerAccessToken: (ChatGPT only) Allows an organization to use their own API key instead of Naviga's (if available).
* serviceProvider: AI service provider for the prompt ("openai" or "Bedrock").
* modelId: Model identifier for the chosen service provider.

***

**Generic Configuration Details**

```json
"generic": {
    "digital": {
        "preText": "Generate a headline",
        "creativity": 5,
        "checkBoxDefault": false,
        "providerAccessToken": "someToken",
        "serviceProvider": "openai",
        "modelId": "gpt-3.5-turbo"
    },
    "print": {
        "preText": "You are a News Editor of a News Firm and your task is to suggest headlines for the article provided in  XML tag.\n\nPlease use professional tone while generating headlines.",
        "creativity": 5,
        "checkBoxDefault": false,
        "providerAccessToken": "",
        "serviceProvider": "Bedrock",
        "modelId": "anthropic.claude-3-sonnet-20240229-v1:0"
    }
}
```

* PreText: The custom prompt the user will send to generate generic results.
  * Note: For AWS Bedrock it is recommended to end your custom prompt with the words: ‘in the XML tag’. Do not add these words for ChatGPT models.
* creativity: Temperature setting (1–5).
* checkBoxDefault: Whether the checkbox is checked by default (false by default).
* providerAccessToken: (ChatGPT only) Allows an organization to use their own API key instead of Naviga's (if available).
* serviceProvider: AI service provider for the prompt ("openai" or "Bedrock").
* modelId: Model identifier for the chosen service provider.

***

Last updated: 1 year ago.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.navigaglobal.com/general/introduction-1/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
